//
//	Simple light model vertex shader
//	Original code from Lighthouse3D
//

varying vec4 diffuse, ambient;
varying vec3 normal, lightDir, halfVector;

uniform sampler2D colorTexture;	
	
void main()
{
	vec3 n,halfV;
	float NdotL,NdotHV;
	
	vec3 ct,cf;
	vec4 texel;
	float intensity,at,af;
		
	intensity = max(dot(lightDir,normalize(normal)),0.0);
		
	cf = intensity * (gl_FrontMaterial.diffuse).rgb + 
						  gl_FrontMaterial.ambient.rgb;
	af = gl_FrontMaterial.diffuse.a;
		
	texel = texture2D(colorTexture, gl_TexCoord[0].st);
	ct = texel.rgb;
	at = texel.a;
		
	gl_FragColor = vec4(ct * cf, at * af);		

}