//
//	All feature merged fragment shader
//	S. James Lee
//	Tweak: mask out eye, mouse, tongue... (since their u is bigger than 0.5
//	where main face exist within u 0.5. looks ugly if those are flying during
//  unwrap morphing...

varying vec4 diffuse, ambient;
varying vec3 normal, lightDir;
varying float gender;

uniform sampler2D femaleTexture;
uniform sampler2D maleTexture;

uniform float unWrapWeight;
	
void main()
{
	vec3 ct, cf, n;
	float intensity, at, af;

	// texture color (female or male)
	vec4 texel, texel0, texel1;
	texel0 = texture2D(femaleTexture, gl_TexCoord[0].st);
	texel1 = texture2D(maleTexture, gl_TexCoord[0].st);
	texel = texel0 * (1.0 - gender) + texel1 * gender;
	
	// light intensity
	n = normalize(normal);
	intensity = max( dot(lightDir,n),0.0);
	
	// color from material and light model
	cf = intensity * diffuse.rgb + ambient.rgb;
	af = diffuse.a;
	
	// texel color
	ct = texel.rgb;
	at = texel.a;
	
	// final color
	gl_FragColor = vec4(ct * cf, at * af);		
	
	// a little trick to hide annoying eye, mouse.. (u is bigger than 0.5) 
	// so that we do not see flying face components
	if (unWrapWeight != 0.0 && gl_TexCoord[0].s > 0.5)
		gl_FragColor.a = 0.0;

}