//
//	Simple fragment shader for morpher
//	Do not compute that much here specially for morpher
//	It just use common light shading
//  S. James Lee

varying vec4 diffuse, ambient;
varying vec3 normal, lightDir, halfVector;
varying vec3 colorCode;	
	
void main()
{
	vec3 n,halfV;
	float NdotL,NdotHV;
			
	vec4 color = ambient;
	n = normalize(normal);
		
	NdotL = max(dot(n,lightDir),0.0);
	
	if (NdotL > 0.0) {
		color += diffuse * NdotL;
		halfV = normalize(halfVector);
		NdotHV = max(dot(n,halfV),0.0);
		color += gl_FrontMaterial.specular * 
				gl_LightSource[0].specular * 
				pow(NdotHV, gl_FrontMaterial.shininess);
	}
	color.xyz += colorCode;
	gl_FragColor = color;
}