//
//	Simple texture blending with Light & Material
//	Original code from Lighthouse3D
//

varying vec4 diffuse, ambient;
varying vec3 normal, lightDir;

uniform sampler2D colorTexture;
	
void main()
{	
	vec3 ct,cf;
	vec4 texel;
	float intensity,at,af;
	
	vec3 n = normalize(normal);
	intensity = max( dot(lightDir,n),0.0);
			
	cf = intensity * diffuse.rgb + ambient.rgb;
	af = diffuse.a;
	
	texel = texture2D(colorTexture, gl_TexCoord[0].st);
	ct = texel.rgb;
	at = texel.a;
	
	gl_FragColor = vec4(ct * cf, at * af);

}